INSERT INTO dwd.active_df(relation_id,user_id,ds,ds_date)
SELECT  t2.relation_id
        ,t1.user_id
        ,t1.ds
        ,'${biz-date}' ds_date
FROM    pubdata_center.ods.active_account_list t1
INNER JOIN dim.game_product_relation t2
ON      t1.channel_id = t2.game_channel_id
AND     t1.game_identity = t2.game_identity
AND     t1.platform_id = t2.game_platform_id
where ds='${bizdate}'
GROUP BY t2.relation_id
        ,t1.user_id
        ,t1.ds
ON CONFLICT (relation_id, user_id, ds)
DO NOTHING;